Bug Hunting Session
Bug 48611 - Official LibreOffice packages do not support modern KDE4, only deprecated KDE3
Summary: Official LibreOffice packages do not support modern KDE4, only deprecated KDE3
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.1.0
Keywords:
: 49858 56385 58756 74909 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-12 08:47 UTC by kivi
Modified: 2016-10-25 19:24 UTC (History)
15 users (show)

See Also:
Crash report or crash signature:


Attachments
A mokup - brief idea how to manage the GUI integration in LibreOffice (192.89 KB, application/zip)
2015-08-02 19:38 UTC, kivi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kivi 2012-04-12 08:47:48 UTC
Problem description: 
It is not possible to fully integrate the LibreOffice in the KDE environment. 
After the installation the only interface available is the Gnome one which is quite ugly. Many customers believe some thing is wrong with the product when they open the LibreOffice with this Gnome interface for first time.

It is very strange why the nice KDE integration available by SUSE is not installed authomatically if the LibreOffice is installed in KDE environment.
Also many people are very disappointed by the feel an look of Gnome 3 so they ask to change this interface and komplayn because can not do it.

SUSE is a major contributor to LibreOffice so why LibreOffice did not use this nice looking KDE integration together with the Gnome one and let users be happy to choose. Who likes the new Gnome feel and look, let have it , but others let have KDE interface.

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux i686) AppleWebKit/534.34 (KHTML, like Gecko) konqueror/4.7.2 Safari/534.34
Comment 1 bfoman (inactive) 2012-10-12 11:24:52 UTC
Enhancement request for Linux environment.
Comment 2 kivi 2012-10-12 12:37:59 UTC
I have nothing counter Gnome design, but hear frequently this complain from different people when I install for them Libre Office.
Especially with the latest Gnome development they call the gnome look and feel ugly.

On time when I put this bug report in the system LibreOffice get Gnome look by default.
But mean time several new versions of Libre Office have been released and this was quite improved.

Now with LibreOffice.org 3.6.2 I found there is possible to integrate with KDE but still not enough good.

I have now KDE 4.x installed together with KDE 3.
This is because I need some software from KDE 3 still not available in KDE 4.x
And now Libre Office can integrate with KDE 3.x but not with KDE 4.x

May be there should be possible for the end users to choose between the classic, kde 3 and kde 4 integration?
Comment 3 Urmas 2012-10-25 14:27:31 UTC
*** Bug 56385 has been marked as a duplicate of this bug. ***
Comment 4 Joel Madero 2013-06-10 18:32:08 UTC
Astron - thoughts here? I am tempted to close and push it to UX list

also cc'ing Petr as he works for Suse, maybe has some thoughts

In all honesty this really doesn't seem like a valid bug report ( no actionable item really, seems like something that needs vested through UX and then brought to devs)
Comment 5 Petr Mladek 2013-06-12 08:01:55 UTC
The problem is that the official LibreOffice build need to work on many different Linux distributions. To achieve this target, we bundle several libraries that are not available on all systems. Of course, we can't bundle everything, so we need to use some stuff from the system, e.g. glibc, GNOME, KDE stuff.

The other problem here is that the system libraries are usually backward but not forward compatible. By other words, new version of the library provides all functions from the older versions but not vice versa. Hence we need to build with older versions of the system libraries because all the used symbols will be on newer system as well. The result is that we build the official builds on rather old operating system from the GNOME2 and KDE3 times. It would be a significant effort to backport the KDE4 and GNOME3 stuff there. Nobody did it yet.

The question is whether you really need to use the official LibreOffice build. Most Linux distributions, provide own LibreOffice packages. They are build from the same sources, so they should have the same functionality as the official one. The difference is that these packages are build on the particular Linux distribution, so they could enable more features that are available on the given system, including KDE4 and GNOME3 integration.
Comment 6 Stefan Knorr (astron) 2013-06-12 16:57:35 UTC
[I think Petr explained why it is that way – i.e. it is an artifact of how the  official builds are produced. Not much more to say – we'd want the proper KDE integration to be active, but can't make it so. Removing myself from CC.]
Comment 7 Mirosław Zalewski 2013-08-14 21:05:18 UTC
(See also brief summation of this issue by the end of this comment).

Petr gave rather convincing explanation of current situation, but I think there is still room for improvement.

He said that "all the used symbols will be on newer system as well", but this is NOT true for this particular situation. KDE4 is NOT backward compatible with KDE3. On KDE4 system, KDE3 libraries (and integration) are of no use. And most distributions not only ships KDE4 now, but also removed KDE3 from their official repositories. Furthermore, some also remove Qt3 (the very foundation of KDE3). 

To prove my point, I have checked few distributions out of DistroWatch's top 10 (not representative). I looked when did they switch to KDE4 and whether they still provide KDE3 and Qt3 in official repositories. Results:

Ubuntu switched to KDE4 in one of 2009 releases, removed Qt3 in October 2012 (still available in 12.04 LTS version).
Debian switched to KDE4 in April 2009, removed Qt3 in May 2013 (still available in Squeeze).
Fedora switched to KDE4 in April 2009. Qt3 is still available.
Mageia had KDE4 from very beginning, KDE3 was never available. Qt3 is still available.
OpenSUSE switched to KDE4 in December 2008 and is one of few notable distros still providing KDE3 in official repositories (as well as Qt3).
Arch switched to KDE in late 2008, Qt3 still available.
Gentoo switched to KDE4 in November 2009, removed Qt3 in 2010.

Qt3 (base for KDE3) has been deprecated by upstream (Trolltech at the time) in July 2007.

This all leads to one single point - most Linux users can not install and use KDE3 without additional work (using third-party, unsupported and potentially insecure repositories). For them, "KDE" is synonymous to "KDE4".

Then providing only KDE3 support IS problematic. When upstream LibreOffice package promises "kde-integration", people DO expect KDE4. They are confused by not-so-nice integration as their distro packagers provide. They come here to report this as bug (two of them marked as duplicate of this one).

At very least, "kde-integration" package should be renamed to "kde3-integration". This by no means fixes the issue, but should at least prevent some confusion.

In longer run, TDF should build packages with --with-kde4 switch.
Qt5 has been already released and KDE5 is just around a corner. We will see gradual switch toward these in upcoming years. There is just no point in providing KDE3 support anymore.

So, to sum up:
- LibreOffice official packages provides support for KDE3, but not KDE4.
- Most modern distributions provide KDE4 as default version of KDE. On some of them there is no easy way to install KDE3. Also, many people are happy with current releases of KDE4.
- This leads to confusion, as people perceive "kde-integration" as not working.
- With another major KDE transition in foreseeable future, this issue gains importance.
Comment 8 Mirosław Zalewski 2013-08-14 21:05:23 UTC
*** Bug 58756 has been marked as a duplicate of this bug. ***
Comment 9 Mirosław Zalewski 2013-08-14 21:05:25 UTC
*** Bug 49858 has been marked as a duplicate of this bug. ***
Comment 10 Petr Mladek 2013-08-15 09:51:04 UTC
This is misunderstanding. I have newer wrote that KDE4 was backward compatible with KDE3. I meant that for example, newer glibc was backward compatible with older glibc but not vice versa.

To make it clear. What we would need here is to backport KDE4 packages for RHEL 5 which is the base for the current build system. This is quite some chunk of work. This is why I would consider this as a feature (enhancement).

BTW: What Linux distribution are you using, please? Most Linux distribuitions provide their own LibreOffice packages. They are built on the given distribution and could easily enable all features that are supported there. It means that the distro-specific packages are usually better integrated than the universal build provided by TDF. Do you really need the TDF build on Linux?
Comment 11 Mirosław Zalewski 2013-08-15 10:55:40 UTC
@Petr: As I stated before, I am completely convinced by your explanation. I do understand that current situation is outcome of old software on build machine. Although there is Fedora 17 tinderbox (building master), I do understand that tinderboxes are not property of TDF and we can not relay on them for official packages (as they may vanish at any time).
Because I am not willing to volunteer on backporting KDE4 to RHEL5 or donating newer machine to TDF, I do not intent to tell anyone what he should do.

I was rather intending to summarize current situation and show why this indeed can be perceived as bug (contrary to Joel statement in Comment 4).

Also, please note that I have stated one achievable action that could be taken: renaming "kde-integration" to "kde3-integration". This should stop confusion for at least some of users.
The larger issue remains, though.

My personal distro is irrelevant here, as I speak in the name of larger group of KDE users, some of which - for whatever reason - prefer to use official TDF builds.

But if you ask, then I am using Debian testing, currently with 4.0.4. Rene (Debian package maintainer) has stated that 4.0 will not receive further upgrades and next available version will be 4.1. Since I prefer to switch lines around x.y.3 releases, my options are:
- sticking with 4.0.4 and be annoyed by Bug 61429
- upgrading to 4.0.5 from TDF build and not have proper KDE integration
- going with Debian to 4.1.1 and be forced to be early adopter of software that I need for actual work; possibly face some minor issues and annoyances that early releases of LO usually has.
Comment 12 Petr Mladek 2013-08-15 12:24:34 UTC
Note that Fedora 17 is a no-go. Such build would be usable only on 1 year old distributions. It won't longer be so universal.

Otherwise, I understand the pain. Well, it is still about a volunteer who would have time to prepare either the KDE4 packages for RHEL 5 or updated LO packages for Debian. I am sure that Rene would appreciate some helping hand.
Comment 13 Renato S. Yamane 2013-10-20 19:54:06 UTC
Hello?
Anyone can hear me?
This bug is really annoying :-(

Confirmed on Kubuntu 13.10
Comment 14 Maxim Monastirsky 2014-02-13 07:36:57 UTC
*** Bug 74909 has been marked as a duplicate of this bug. ***
Comment 15 sudhir 2014-10-28 15:28:53 UTC
Plasma 5.1 is already out. Plasma 5 and KDE frameworks are in action. LibreOffice picks up GTK2 theme. I tried using "export OOO_FORCE_DESKTOP="kde4"" which makes LibreOffice use the new Breeze them but when hovering over items/menu they don't get highlighted.

There should be some basic KDE compatibility.
Comment 17 Maxim Monastirsky 2015-07-29 10:01:19 UTC
I assume this is fixed now for 5.1 with http://cgit.freedesktop.org/libreoffice/core/commit/?id=420be486f04d99b08311151a4230699099184baa
Comment 18 kivi 2015-08-02 19:38:42 UTC
Created attachment 117607 [details]
A mokup - brief idea how to manage the GUI integration in LibreOffice

Dear all, I believe the best solution would be to let users decide what kind of integration He/She need. The best solution may be to give them all options for this.
If possible please create additional dialog for the users to set the needed GUI integration. They will do it in the process of settings of LibreOffice just after the installation.

Please have here attached my suggestion as a set of pictures.
In the attached ZIP file you could see how it could looks like in the settings dialog.